Supported Platforms

Sugar 7.5.x Supported Platforms

Please note that while the below components are necessary for running the Sugar application, it is outside the scope of our support to assist with the upgrading and maintenance of these components.

Component Supported Versions Comments
Platform    
Linux/Unix/Mac OS Any platform version that supports PHP from http://php.net Sugar does not support any specific NAS or SAN devices.  Performance, throughput, and configuration issues should be addressed by your storage vendor.  Sugar performs testing with the NFS protocol and Linux-based clients and achieves acceptable levels of performance.
PHP 5.3, 5.4 For PHP 5.3, use PHP 5.3.25 or above
Database    
MySQL 5.1, 5.5, 5.6  
DB2 LUW 10.5

Supported for Sugar Ultimate and Enterprise editions only

Not supported for upgrades from 6.5

Web Server    
Apache 2.2, 2.4  For Apache 2.2, use 2.2.12 or above
Applications Supported Versions Sugar Version(s)  
elasticsearch 1.3.1 7.5.1.0 - 7.5.2.1 For more information, see:
http://www.elasticsearch.org/download/
elasticsearch 1.4.4 7.5.2.0 - 7.5.2.1 For more information, see:
http://www.elasticsearch.org/download/
Client (Browser) Supported Versions Sugar Version(s) Comments
Google Chrome 41 7.5.2.0 - 7.5.2.1  
40 7.5.1.0  
38 7.5.0.1  
Firefox 37 7.5.2.1  
36 7.5.2.0 - 7.5.2.1  
35 7.5.2.0  
34, 35 7.5.1.0  
32, 33 7.5.0.1  
Internet Explorer 9, 11 7.5.0.1 - 7.5.2.1 Compatibility mode not supported
Safari 7.1 7.5.0.1 - 7.5.2.1  

For an updated list of supported Sugar versions, please refer to the Supported Versions page. 

 Component Linux Stack
PHP Version 5.4 (APC extension enabled)
PHP Accelerator APC
Platform Red Hat Enterprise Linux 6
Server Apache 2.4
Preferred Databases
MySQL 5.6

For an updated list of supported Sugar versions, please refer to the Supported Versions page.

* These stack recommendations specify the version of each component which is supported by Sugar and qualifies as the most stable release available.

Sugar 6.7.x Supported Platforms

Note: Sugar 6.7.x is available for On-Demand customers only

 

Client (Browser) Supported Versions Sugar Versions Comments
Google Chrome 37 6.7.7  
35 6.7.6  
32 6.7.5  
31 6.7.4  
27 6.7.2, 6.7.3  
26 6.7.1  
24 6.7.0  
Firefox 31, 32 6.7.7  
29, 30 6.7.6  
26, 27 6.7.5  
24, 25 6.7.4  
20, 21 6.7.1 - 6.7.3  
17, 18 6.7.0  
Internet Explorer 10 6.7.4 - 6.7.7 Compatibility mode not supported
9 6.7.0 - 6.7.7 Compatibility mode not supported
Safari 6 6.7.0 - 6.7.7  

For an updated list of supported Sugar versions, please refer to the Supported Versions page.

 

Sugar 6.5.x Supported Platforms

Please note that while the below components are necessary for running the Sugar application, it is outside the scope of our support to assist with the upgrading and maintenance of these components.

Component Supported Versions Comments
Platform    
Linux/Unix/Mac OS Any platform version that supports PHP from http://php.net

Sugar does not support any specific NAS or SAN devices. Performance, throughput, and configuration issues should be addressed by your storage vendor. Sugar performs testing with the NFS protocol and Linux-based clients and achieves acceptable levels of performance.

IBM i Any IBM i version that runs the latest Zend Server for IBM i DB2 is not supported on IBM i
Windows Windows Server 2003, 2008, Windows 7 Sugar does not support any specific NAS or SAN devices. Performance, throughput, and configuration issues should be addressed by your storage vendor. Sugar performs testing with the NFS protocol and Linux-based clients and achieves acceptable levels of performance.
PHP 5.2, 5.3 No support for PHP 5.2.0, 5.2.1, 5.2.7, 5.2.16, 5.3.5, 5.3.7, 5.3.11, 5.3.15, 5.3.19, or 5.3.24
Database    
MySQL 5.1, 5.5  
SQL Server 2005, 2008, 2008 R2 (Express, Standard, Workgroup, Enterprise) Requires using version 2.0.1 or 3.0.1 of the Microsoft SQL Server Driver for PHP
Oracle 10g, 11g, 11g R2 Supported for Sugar Ultimate and Enterprise editions only. Deployments using RAC are supported, but SugarCRM cannot provide troubleshooting or guidance around RAC configuration or cluster issues.
DB2 LUW 9.7, 10.1, 10.5 Supported for Sugar Ultimate and Enterprise editions only
Web Server    
Apache 2.0, 2.2  
IIS 7.0, 7.5 Requires using FastCGI and non-thread-safe binaries
Applications Supported Versions Sugar Version(s)  
elasticsearch 0.90.10 6.5.16 - 6.5.18

For more information, see:

http://www.elasticsearch.org/download/

0.19.3 6.5.0 - 6.5.15
Client (Browser) Supported Versions Sugar Version(s) Comments
Google Chrome 37 6.5.18  
29 6.5.16 - 6.5.17  
28 6.5.15  
27 6.5.14  
26 6.5.13  
25 6.5.12  
24 6.5.10 - 6.5.11  
23 6.5.9  
22 6.5.8  
21 6.5.3 - 6.5.7  
20 6.5.1 - 6.5.2  
19 6.5.0  
Firefox 31, 32 6.5.18  
23 6.5.15 - 6.5.17  
22 6.5.15 - 6.5.16  
21 6.5.14  
20 6.5.13 - 6.5.14  
19 6.5.12 - 6.5.13  
18 6.5.10 - 6.5.12  
17 6.5.9 - 6.5.11  
16 6.5.8 - 6.5.9  
15 6.5.5 - 6.5.8  
14 6.5.3 - 6.5.7  
13 6.5.1 - 6.5.4  
12 6.5.0 - 6.5.2  
11 6.5.0  
Internet Explorer 10.0 6.5.16 - 6.5.18 Compatibility mode not supported
9.0 All Compatibility mode not supported
8.0 6.5.0 - 6.5.15 Compatibility mode not supported
Safari 6.0 6.5.6 - 6.5.18  
5.1 6.5.0 - 6.5.5  
  Linux Stack Windows Stack
PHP Version 5.3 (APC extension enabled) 5.3 (Wincache extension installed)
PHP Accelerator APC Wincache
Platform Red Hat Enterprise Linux 5 Windows Server 2008
Server Apache 2.2 IIS 7.5
Preferred Databases
MySQL 5.1 5.1
SQL Server n/a 2008
Oracle 11g 11g

For an updated list of supported Sugar versions, please refer to the Supported Versions page.

* These stack recommendations specify the version of each component which is supported by Sugar and qualifies as the most stable release available.

 

Mobile Supported Platforms

Mobile Solution

Sugar

Versions

Phone Devices (OS)

Tablet Devices (OS)

SugarCRM Mobile

6.7.1 - 7.5.2.1

iPhone (7.1-8.1)

Android (4.1-5.0)

iPad (7.1-8.1)

Android (4.1-5.0)

Sugar Mobile

6.5 - 6.7.1

iPhone (3.1-6.1, 8.0-8.1)
Android Phone (2.0-4.1)

iPad (5.1-6.1, 8.0-8.1): Compatibility mode

Sugar Mobile Plus 6.5 - 6.7.7

iPhone (6.1-7.0)

BlackBerry (7)

iPad (6.1-7.0)

Mobile Browser Access

6.5 - 6.7.7

All: Mobile view only

All: Desktop view only

7.2.0 - 7.5.2.1

Safari on iPhone (7.0-8.0)

Chrome on Android (4.0.3-4.4.2)

All: Desktop view only

 

Note: SugarCRM does not support the Android Native Browser. Please download and use Chrome for your Android devices.

For an updated list of supported Sugar versions, please refer to the Supported Versions page.

 

Plug-ins Supported Platforms

Plug-in

Sugar Versions Software Versions Software Bits Dependencies

Lotus Notes Plug-in 1.x (SOAP)

6.5.x - 6.7.x Lotus Notes 7.0, 8.0, 8.5, 9.0    
Lotus Notes Plug-in 2.x (REST) 7.x Lotus Notes 8.5, 9.0    
MS Excel Plug-in   Excel 2010

32-bit
64-bit

.Net Framework 4.01, 4.5 
Visual Studio Tools for Office 2010 Runtime
  Excel 2013 32-bit
64-bit
.Net Framework 4.01, 4.5
Visual Studio Tools for Office 2010 Runtime
  Excel 365 32-bit
64-bit
.Net Framework 4.01, 4.5
Visual Studio Tools for Office 2010 Runtime
MS Outlook Plug-in   Outlook 2010 32-bit
64-bit
.Net Framework 4.01, 4.5
Visual Studio Tools for Office 2010 Runtime
  Outlook 2013 32-bit
64-bit
.Net Framework 4.01, 4.5
Visual Studio Tools for Office 2010 Runtime
  Outlook 365 32-bit
64-bit
.Net Framework 4.01, 4.5
Visual Studio Tools for Office 2010 Runtime
MS Word Plug-in   Word 2010 32-bit
64-bit
.Net Framework 4.01, 4.5
Visual Studio Tools for Office 2010 Runtime
  Word 2013 32-bit
64-bit
.Net Framework 4.01, 4.5
Visual Studio Tools for Office 2010 Runtime
  Word 365 32-bit
64-bit
.Net Framework 4.01, 4.5
Visual Studio Tools for Office 2010 Runtime

1 Service Pack 3 (SP3) is required for Windows XP to be able to install .Net Framework 4.

Note: MS Excel, Outlook, and Word Plug-ins are not supported in Terminal Server environments.

Note: MS Excel, Outlook, and Word Plug-ins are supported on the Windows operating system only.

For an updated list of supported Sugar versions, please refer to the Supported Versions page.

 

Last Modified:04/15/2015 02:05pm